View Issue Details

IDProjectCategoryView StatusLast Update
14249Bug reportsImport/Exportpublic2019-04-30 09:13
Reporteroleggorfinkel Assigned Todominikvitt 
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version3.5.x 
Fixed in Version3.15.x 
Summary14249: Tab-separated export of surveys is broken
Description

When exporting a survey in tab-separated .txt format, group and question descriptions are lost (they are missing from the resulting text file), and the same thing happens with any relevance equations that don't include a field code (e.g. numerical references, such as 0 or 1).

Steps To Reproduce

Export a survey in tab-separated .txt format, and look at the output file in a text editor or import it as a new survey and check the group/question descriptions and relevance equations.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.3+181108
I will donate to the project if issue is resolvedNo
BrowserChrome
Database & DB-Version10.0.27-MariaDB-cll-lve
Server OS (if known)Linux
Webserver software & version (if known)Apache 2.4.18
PHP Version5.5.36

Activities

DenisChenu

DenisChenu

2018-11-13 23:34

developer   ~49639

Last edited: 2018-11-13 23:44

View 3 revisions

text are lost with multilingual survey (see this survey) (relevance too)

limesurvey_survey_193516.tsv (32,422 bytes)   
id	related_id	class	type/scale	name	relevance	text	help	language	validation	mandatory	other	default	same_default	allowed_filetypes	alphasort	answer_width	answer_width_bycolumn	array_filter	array_filter_exclude	array_filter_style	assessment_value	category_separator	choice_input_columns	choice_title	code_filter	commented_checkbox	commented_checkbox_auto	cssclass	date_format	date_max	date_min	display_columns	display_rows	display_type	dropdown_dates	dropdown_dates_minute_step	dropdown_dates_month_style	dropdown_prefix	dropdown_prepostfix	dropdown_separators	dropdown_size	dualscale_headerA	dualscale_headerB	em_validation_q	em_validation_q_tip	em_validation_sq	em_validation_sq_tip	equals_num_value	equation	exclude_all_others	exclude_all_others_auto	hidden	hide_tip	input_boxes	input_size	label_input_columns	location_city	location_country	location_defaultcoordinates	location_mapheight	location_mapservice	location_mapwidth	location_mapzoom	location_nodefaultfromip	location_postal	location_state	max_answers	max_filesize	max_num_of_files	max_num_value	max_num_value_n	max_subquestions	maximum_chars	min_answers	min_num_of_files	min_num_value	min_num_value_n	multiflexible_checkbox	multiflexible_max	multiflexible_min	multiflexible_step	num_value_int_only	numbers_only	other_comment_mandatory	other_numbers_only	other_replace_text	page_break	parent_order	prefix	printable_help	public_statistics	question_template	random_group	random_order	rank_title	repeat_headings	reverse	samechoiceheight	samelistheight	scale_export	show_comment	show_grand_total	show_title	show_totals	showpopups	slider_accuracy	slider_custom_handle	slider_default	slider_default_set	slider_handle	slider_layout	slider_max	slider_middlestart	slider_min	slider_orientation	slider_rating	slider_reset	slider_reversed	slider_separator	slider_showminmax	statistics_graphtype	statistics_showgraph	statistics_showmap	suffix	text_input_columns	text_input_width	time_limit	time_limit_action	time_limit_countdown_message	time_limit_disable_next	time_limit_disable_prev	time_limit_message	time_limit_message_delay	time_limit_message_style	time_limit_timer_style	time_limit_warning	time_limit_warning_2	time_limit_warning_2_display_time	time_limit_warning_2_message	time_limit_warning_2_style	time_limit_warning_display_time	time_limit_warning_message	time_limit_warning_style	use_dropdown	value_range_allows_missing
		S		sid		193516																																																																																																																																											
		S		gsid		1																																																																																																																																											
		S		admin		Administrator																																																																																																																																											
		S		adminemail		denis@sondages.pro																																																																																																																																											
		S		anonymized		N																																																																																																																																											
		S		faxto																																																																																																																																													
		S		format		A																																																																																																																																											
		S		savetimings		N																																																																																																																																											
		S		template		vanilla																																																																																																																																											
		S		language		en																																																																																																																																											
		S		additional_languages		ar fr																																																																																																																																											
		S		datestamp		N																																																																																																																																											
		S		usecookie		N																																																																																																																																											
		S		allowregister		N																																																																																																																																											
		S		allowsave		Y																																																																																																																																											
		S		autonumber_start		1																																																																																																																																											
		S		autoredirect		N																																																																																																																																											
		S		allowprev		N																																																																																																																																											
		S		printanswers		N																																																																																																																																											
		S		ipaddr		N																																																																																																																																											
		S		refurl		N																																																																																																																																											
		S		showsurveypolicynotice		0																																																																																																																																											
		S		publicstatistics		N																																																																																																																																											
		S		publicgraphs		N																																																																																																																																											
		S		listpublic		N																																																																																																																																											
		S		htmlemail		Y																																																																																																																																											
		S		sendconfirmation		Y																																																																																																																																											
		S		tokenanswerspersistence		N																																																																																																																																											
		S		assessments		N																																																																																																																																											
		S		usecaptcha		N																																																																																																																																											
		S		usetokens		N																																																																																																																																											
		S		bounce_email		denis@sondages.pro																																																																																																																																											
		S		attributedescriptions		a:0:{}																																																																																																																																											
		S		emailresponseto																																																																																																																																													
		S		emailnotificationto																																																																																																																																													
		S		tokenlength		15																																																																																																																																											
		S		showxquestions		Y																																																																																																																																											
		S		showgroupinfo		B																																																																																																																																											
		S		shownoanswer		N																																																																																																																																											
		S		showqnumcode		X																																																																																																																																											
		S		bounceprocessing		N																																																																																																																																											
		S		showwelcome		Y																																																																																																																																											
		S		showprogress		Y																																																																																																																																											
		S		questionindex		0																																																																																																																																											
		S		navigationdelay		0																																																																																																																																											
		S		nokeyboard		N																																																																																																																																											
		S		alloweditaftercompletion		N																																																																																																																																											
		S		googleanalyticsstyle																																																																																																																																													
		S		googleanalyticsapikey																																																																																																																																													
		SL		surveyls_survey_id		193516		ar																																																																																																																																									
		SL		surveyls_language		ar		ar																																																																																																																																									
		SL		surveyls_title				ar																																																																																																																																									
		SL		surveyls_url				ar																																																																																																																																									
		SL		surveyls_email_invite_subj		دعوة للمشاركة في استبيان		ar																																																																																																																																									
		SL		surveyls_email_invite		"عزيزنا {FIRSTNAME},<br /><br />لقد تمت دعوتك للمشاركة في استبيان(استطلاع).<br /><br />عنوان الاستبيان هو:<br />""{SURVEYNAME}""<br /><br />""{SURVEYDESCRIPTION}""<br /><br />لكي تشارك اضغط على الرابط أدناه.<br /><br />أطيب التحيات,<br /><br />{ADMINNAME} ({ADMINEMAIL})<br /><br />----------------------------------------------<br />اضغط هنا لتشارك في الاستبيان:<br />{SURVEYURL}<br /><br />لو انك لا تريد المشاركة في هذا الاستبيان و لا تريد ان تستقبل المزيد من الدعوات اضغط علي العنوان الاتي: <br />{OPTOUTURL}<br /><br />إذا كان غير مسموح لك بالمشاركة في هذا الإستبيان وتريد أن تتلقى دعوة للمشاركة فيه نرجوا منك اتباع الرابط التالي :<br />{اختياري}"		ar																																																																																																																																									
		SL		surveyls_email_remind_subj		تذكير بالمشاركة في الاستبيان		ar																																																																																																																																									
		SL		surveyls_email_remind		"عزيزنا"" الاسم الأول""، /n/nلقد دعوناك مؤخرا للمشاركة في استبيان./n/nلاحظنا أنك لم تكمل الاستبيان حتى الآن، ونتمنى أن نذكرك بأن الاستبيان ما زال متاحاهل ترغب في المشاركة./n/nعنوان الاستبيان:/n"" اسم الاستبيان"" /n/n/"" وصف الاستبيان""/ /n/nللمشاركة، من فضلك اضغط على الرابط الموجود بالأسفل./n/nالمخلص،/n/nاسم المدير"" "" بريده الإلكتروني""/n/n----------------------------------------------<br />اضغط هنا لتعمل استبيانا:/n"" عنوان صفحة الويب الخاص بالاستبيان""<br /><br />لو انك لا تريد المشاركة في هذا الاستبيان و لا تريد ان تستقبل المزيد من الدعوات اضغط علي العنوان الاتي: <br />{OPTOUTURL}"		ar																																																																																																																																									
		SL		surveyls_email_register_subj		تأكيد تسجيل الاستبيان		ar																																																																																																																																									
		SL		surveyls_email_register		عزيزي {FIRSTNAME},<br /><br />لقد قمت، أو قام شخص بإستخدام بريدك الإليكتروني لتسجيلك للمشاركة في الإستبيان  {SURVEYNAME}.<br /><br />لإكمال الإستبيان، انقر على هذا الرابط:<br /><br />{SURVEYURL}<br /><br />إن كان لديك اي تساؤل حول هذه الإستبيان او إذا لم تطلب التسجيل، يمكنك الإتصال ب {ADMINNAME} على هذا العنوان {ADMINEMAIL}.		ar																																																																																																																																									
		SL		surveyls_email_confirm_subj		تأكيد مشاركتك في استبياننا		ar																																																																																																																																									
		SL		surveyls_email_confirm		عزيزي {FIRSTNAME},<br /><br />إن هذه الرسالة تؤكد انك انهيت الإستبانة المعنونة  {SURVEYNAME} وتم حفظ الأجوبة. شكراً لإشتراكك.<br /><br />إن كان عندك اي سؤال عن هذه الرسالة, يمكنك الإتصال ب   {ADMINNAME}  علي  {ADMINEMAIL}.<br /><br />شكراً لك ,<br /><br />{ADMINNAME}		ar																																																																																																																																									
		SL		surveyls_dateformat		2		ar																																																																																																																																									
		SL		email_admin_notification_subj		تقديم الإجابة للاستبيان {SURVEYNAME}		ar																																																																																																																																									
		SL		email_admin_notification		Hello,<br /><br />A new response was submitted for your survey '{SURVEYNAME}'.<br /><br />Click the following link to see the individual response:<br />{VIEWRESPONSEURL}<br /><br />Click the following link to edit the individual response:<br />{EDITRESPONSEURL}<br /><br />View statistics by clicking here:<br />{STATISTICSURL}		ar																																																																																																																																									
		SL		email_admin_responses_subj		الاجابات تقدم لاستبيان {SURVEYNAME} مع النتائج		ar																																																																																																																																									
		SL		email_admin_responses		Hello,<br /><br />A new response was submitted for your survey '{SURVEYNAME}'.<br /><br />Click the following link to see the individual response:<br />{VIEWRESPONSEURL}<br /><br />Click the following link to edit the individual response:<br />{EDITRESPONSEURL}<br /><br />View statistics by clicking here:<br />{STATISTICSURL}<br /><br /><br />The following answers were given by the participant:<br />{ANSWERTABLE}		ar																																																																																																																																									
		SL		surveyls_numberformat		0		ar																																																																																																																																									
		SL		surveyls_survey_id		193516		en																																																																																																																																									
		SL		surveyls_language		en		en																																																																																																																																									
		SL		surveyls_title		Numeric		en																																																																																																																																									
		SL		surveyls_description				en																																																																																																																																									
		SL		surveyls_welcometext				en																																																																																																																																									
		SL		surveyls_endtext				en																																																																																																																																									
		SL		surveyls_url				en																																																																																																																																									
		SL		surveyls_urldescription				en																																																																																																																																									
		SL		surveyls_email_invite_subj		Invitation to participate in a survey		en																																																																																																																																									
		SL		surveyls_email_invite		"Dear {FIRSTNAME},<br /><br />you have been invited to participate in a survey.<br /><br />The survey is titled:<br />""{SURVEYNAME}""<br /><br />""{SURVEYDESCRIPTION}""<br /><br />To participate, please click on the link below.<br /><br />Sincerely,<br /><br />{ADMINNAME} ({ADMINEMAIL})<br /><br />----------------------------------------------<br />Click here to do the survey:<br />{SURVEYURL}<br /><br />If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:<br />{OPTOUTURL}<br /><br />If you are blacklisted but want to participate in this survey and want to receive invitations please click the following link:<br />{OPTINURL}"		en																																																																																																																																									
		SL		surveyls_email_remind_subj		Reminder to participate in a survey		en																																																																																																																																									
		SL		surveyls_email_remind		"Dear {FIRSTNAME},<br /><br />Recently we invited you to participate in a survey.<br /><br />We note that you have not yet completed the survey, and wish to remind you that the survey is still available should you wish to take part.<br /><br />The survey is titled:<br />""{SURVEYNAME}""<br /><br />""{SURVEYDESCRIPTION}""<br /><br />To participate, please click on the link below.<br /><br />Sincerely,<br /><br />{ADMINNAME} ({ADMINEMAIL})<br /><br />----------------------------------------------<br />Click here to do the survey:<br />{SURVEYURL}<br /><br />If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:<br />{OPTOUTURL}"		en																																																																																																																																									
		SL		surveyls_email_register_subj		Survey registration confirmation		en																																																																																																																																									
		SL		surveyls_email_register		Dear {FIRSTNAME},<br /><br />You, or someone using your email address, have registered to participate in an online survey titled {SURVEYNAME}.<br /><br />To complete this survey, click on the following URL:<br /><br />{SURVEYURL}<br /><br />If you have any questions about this survey, or if you did not register to participate and believe this email is in error, please contact {ADMINNAME} at {ADMINEMAIL}.		en																																																																																																																																									
		SL		surveyls_email_confirm_subj		Confirmation of your participation in our survey		en																																																																																																																																									
		SL		surveyls_email_confirm		Dear {FIRSTNAME},<br /><br />this email is to confirm that you have completed the survey titled {SURVEYNAME} and your response has been saved. Thank you for participating.<br /><br />If you have any further questions about this email, please contact {ADMINNAME} on {ADMINEMAIL}.<br /><br />Sincerely,<br /><br />{ADMINNAME}		en																																																																																																																																									
		SL		surveyls_dateformat		1		en																																																																																																																																									
		SL		email_admin_notification_subj		Response submission for survey {SURVEYNAME}		en																																																																																																																																									
		SL		email_admin_notification		Hello,<br /><br />A new response was submitted for your survey '{SURVEYNAME}'.<br /><br />Click the following link to see the individual response:<br />{VIEWRESPONSEURL}<br /><br />Click the following link to edit the individual response:<br />{EDITRESPONSEURL}<br /><br />View statistics by clicking here:<br />{STATISTICSURL}		en																																																																																																																																									
		SL		email_admin_responses_subj		Response submission for survey {SURVEYNAME} with results		en																																																																																																																																									
		SL		email_admin_responses		Hello,<br /><br />A new response was submitted for your survey '{SURVEYNAME}'.<br /><br />Click the following link to see the individual response:<br />{VIEWRESPONSEURL}<br /><br />Click the following link to edit the individual response:<br />{EDITRESPONSEURL}<br /><br />View statistics by clicking here:<br />{STATISTICSURL}<br /><br /><br />The following answers were given by the participant:<br />{ANSWERTABLE}		en																																																																																																																																									
		SL		surveyls_numberformat		0		en																																																																																																																																									
		SL		surveyls_survey_id		193516		fr																																																																																																																																									
		SL		surveyls_language		fr		fr																																																																																																																																									
		SL		surveyls_title				fr																																																																																																																																									
		SL		surveyls_url				fr																																																																																																																																									
		SL		surveyls_email_invite_subj		Invitation à participer à un questionnaire		fr																																																																																																																																									
		SL		surveyls_email_invite		"Cher(e) {FIRSTNAME},<br /><br />Vous avez été invité(e) à participer à un questionnaire.<br /><br />Celui-ci est intitulé :<br />""{SURVEYNAME}""<br /><br />""{SURVEYDESCRIPTION}""<br /><br />Pour participer, veuillez cliquer sur le lien ci-dessous.<br /><br />Cordialement,<br /><br />{ADMINNAME} ({ADMINEMAIL})<br /><br />----------------------------------------------<br />Cliquez ici pour remplir ce questionnaire :<br />{SURVEYURL}<br /><br />Si vous ne souhaitez pas participer à ce questionnaire et ne souhaitez plus recevoir aucune invitation, veuillez cliquer sur le lien suivant :<br />{OPTOUTURL}<br /><br />Si vous êtes sur liste noire mais que vous voulez participer à ce questionnaire et recevoir les invitations, merci de cliquer sur le lien suivant :<br />{OPTINURL}"		fr																																																																																																																																									
		SL		surveyls_email_remind_subj		Rappel pour participer à un questionnaire		fr																																																																																																																																									
		SL		surveyls_email_remind		"Cher(e) {FIRSTNAME},<br /><br />Vous avez été invité(e) à participer à un questionnaire récemment.<br /><br />Nous avons pris en compte que vous n’avez pas encore complété le questionnaire, et nous vous rappelons que celui-ci est toujours disponible si vous souhaitez participer.<br /><br />Le questionnaire est intitulé :<br />""{SURVEYNAME}""<br /><br />""{SURVEYDESCRIPTION}""<br /><br />Pour participer, veuillez cliquer sur le lien ci-dessous.<br /><br />Cordialement,<br /><br />{ADMINNAME} ({ADMINEMAIL})<br /><br />----------------------------------------------<br />Cliquez ici pour faire le questionnaire :<br />{SURVEYURL}<br /><br />Si vous ne souhaitez pas participer à ce questionnaire et ne souhaitez plus recevoir aucune invitation, veuillez cliquer sur le lien suivant :<br />{OPTOUTURL}"		fr																																																																																																																																									
		SL		surveyls_email_register_subj		Confirmation d’enregistrement pour le questionnaire		fr																																																																																																																																									
		SL		surveyls_email_register		Bonjour {FIRSTNAME},<br /><br />Vous (ou quelqu’un utilisant votre adresse électronique) vous êtes enregistré pour participer à un questionnaire en ligne intitulé {SURVEYNAME}.<br /><br />Pour compléter ce questionnaire, cliquez sur le lien suivant :<br />{SURVEYURL}<br /><br />Si vous avez des questions à propos de ce questionnaire, ou si vous ne vous êtes pas enregistré pour participer à celui-ci et croyez que ce message est une erreur, veuillez contacter {ADMINNAME} à l’adresse {ADMINEMAIL}		fr																																																																																																																																									
		SL		surveyls_email_confirm_subj		Confirmation de votre participation à notre questionnaire		fr																																																																																																																																									
		SL		surveyls_email_confirm		Bonjour {FIRSTNAME},<br /><br />Ce message vous confirme que vous avez complété le questionnaire intitulé {SURVEYNAME} et que votre réponse a été enregistrée. Merci pour votre participation.<br /><br />Si vous avez des questions à propos de ce message, veuillez contacter {ADMINNAME} à l’adresse {ADMINEMAIL}.<br /><br />Cordialement,<br /><br />{ADMINNAME}		fr																																																																																																																																									
		SL		surveyls_dateformat		5		fr																																																																																																																																									
		SL		email_admin_notification_subj		Soumission de réponse pour le questionnaire {SURVEYNAME}		fr																																																																																																																																									
		SL		email_admin_notification		Bonjour,<br /><br />Une nouvelle réponse a été soumise pour votre questionnaire '{SURVEYNAME}'.<br /><br />Cliquez sur le lien suivant pour voir la réponse :<br />{VIEWRESPONSEURL}<br /><br />Cliquez sur le lien suivant pour éditer la réponse :<br />{EDITRESPONSEURL}<br /><br />Visualisez les statistiques en cliquant ici :<br />{STATISTICSURL}		fr																																																																																																																																									
		SL		email_admin_responses_subj		Soumission de réponse pour le questionnaire {SURVEYNAME} avec résultats		fr																																																																																																																																									
		SL		email_admin_responses		Bonjour,<br /><br />Une nouvelle réponse a été soumise pour votre questionnaire '{SURVEYNAME}'.<br /><br />Cliquez sur le lien suivant pour voir cette réponse :<br />{VIEWRESPONSEURL}<br /><br />Cliquez sur le lien suivant pour éditer cette réponse individuelle :<br />{EDITRESPONSEURL}<br /><br />Visualisez les statistiques en cliquant ici :<br />{STATISTICSURL}<br /><br /><br />Les réponses suivantes ont été données par le participant :<br />{ANSWERTABLE}		fr																																																																																																																																									
		SL		surveyls_numberformat		0		fr																																																																																																																																									
40		G	1	My first question group				en																																																																																																																																									
481		Q	N	Q00				en			N		0																																																																					1																																																															
482		Q	N	Q01				en			N		0																																																																																																																																				
40		G	1	My first question group				ar																																																																																																																																									
481		Q	N	Q00				ar			N		0																																																																																																																																				
482		Q	N	Q01				ar			N		0																																																																																																																																				
40		G	1	My first question group				fr																																																																																																																																									
481		Q	N	Q00				fr			N		0																																																																																																																																				
482		Q	N	Q01				fr			N		0																																																																																																																																				
limesurvey_survey_193516.tsv (32,422 bytes)   
DenisChenu

DenisChenu

2018-11-13 23:44

developer   ~49641

relevance are lost for single language
text is here

limesurvey_survey_762418.txt (18,648 bytes)   
id	related_id	class	type/scale	name	relevance	text	help	language	validation	mandatory	other	default	same_default	allowed_filetypes	alphasort	answer_width	answer_width_bycolumn	array_filter	array_filter_exclude	array_filter_style	assessment_value	category_separator	choice_input_columns	choice_title	code_filter	commented_checkbox	commented_checkbox_auto	cssclass	date_format	date_max	date_min	display_columns	display_rows	display_type	dropdown_dates	dropdown_dates_minute_step	dropdown_dates_month_style	dropdown_prefix	dropdown_prepostfix	dropdown_separators	dropdown_size	dualscale_headerA	dualscale_headerB	em_validation_q	em_validation_q_tip	em_validation_sq	em_validation_sq_tip	equals_num_value	equation	exclude_all_others	exclude_all_others_auto	hidden	hide_tip	input_boxes	input_size	label_input_columns	location_city	location_country	location_defaultcoordinates	location_mapheight	location_mapservice	location_mapwidth	location_mapzoom	location_nodefaultfromip	location_postal	location_state	max_answers	max_filesize	max_num_of_files	max_num_value	max_num_value_n	max_subquestions	maximum_chars	min_answers	min_num_of_files	min_num_value	min_num_value_n	multiflexible_checkbox	multiflexible_max	multiflexible_min	multiflexible_step	num_value_int_only	numbers_only	other_comment_mandatory	other_numbers_only	other_replace_text	page_break	parent_order	prefix	printable_help	public_statistics	question_template	random_group	random_order	rank_title	repeat_headings	reverse	samechoiceheight	samelistheight	scale_export	show_comment	show_grand_total	show_title	show_totals	showpopups	slider_accuracy	slider_custom_handle	slider_default	slider_default_set	slider_handle	slider_layout	slider_max	slider_middlestart	slider_min	slider_orientation	slider_rating	slider_reset	slider_reversed	slider_separator	slider_showminmax	statistics_graphtype	statistics_showgraph	statistics_showmap	suffix	text_input_columns	text_input_width	time_limit	time_limit_action	time_limit_countdown_message	time_limit_disable_next	time_limit_disable_prev	time_limit_message	time_limit_message_delay	time_limit_message_style	time_limit_timer_style	time_limit_warning	time_limit_warning_2	time_limit_warning_2_display_time	time_limit_warning_2_message	time_limit_warning_2_style	time_limit_warning_display_time	time_limit_warning_message	time_limit_warning_style	use_dropdown	value_range_allows_missing
		S		sid		762418																																																																																																																																											
		S		gsid		1																																																																																																																																											
		S		admin		Administrator																																																																																																																																											
		S		adminemail		denis@sondages.pro																																																																																																																																											
		S		anonymized		N																																																																																																																																											
		S		faxto																																																																																																																																													
		S		format		A																																																																																																																																											
		S		savetimings		N																																																																																																																																											
		S		template		extends_vanilla																																																																																																																																											
		S		language		en																																																																																																																																											
		S		additional_languages																																																																																																																																													
		S		datestamp		N																																																																																																																																											
		S		usecookie		N																																																																																																																																											
		S		allowregister		N																																																																																																																																											
		S		allowsave		Y																																																																																																																																											
		S		autonumber_start		0																																																																																																																																											
		S		autoredirect		N																																																																																																																																											
		S		allowprev		N																																																																																																																																											
		S		printanswers		N																																																																																																																																											
		S		ipaddr		N																																																																																																																																											
		S		refurl		N																																																																																																																																											
		S		showsurveypolicynotice		0																																																																																																																																											
		S		publicstatistics		N																																																																																																																																											
		S		publicgraphs		N																																																																																																																																											
		S		listpublic		N																																																																																																																																											
		S		htmlemail		Y																																																																																																																																											
		S		sendconfirmation		Y																																																																																																																																											
		S		tokenanswerspersistence		N																																																																																																																																											
		S		assessments		N																																																																																																																																											
		S		usecaptcha		N																																																																																																																																											
		S		usetokens		N																																																																																																																																											
		S		bounce_email		denis@sondages.pro																																																																																																																																											
		S		emailresponseto																																																																																																																																													
		S		emailnotificationto																																																																																																																																													
		S		tokenlength		15																																																																																																																																											
		S		showxquestions		Y																																																																																																																																											
		S		showgroupinfo		B																																																																																																																																											
		S		shownoanswer		N																																																																																																																																											
		S		showqnumcode		X																																																																																																																																											
		S		bounceprocessing		N																																																																																																																																											
		S		showwelcome		Y																																																																																																																																											
		S		showprogress		Y																																																																																																																																											
		S		questionindex		0																																																																																																																																											
		S		navigationdelay		0																																																																																																																																											
		S		nokeyboard		N																																																																																																																																											
		S		alloweditaftercompletion		N																																																																																																																																											
		S		googleanalyticsstyle																																																																																																																																													
		S		googleanalyticsapikey																																																																																																																																													
		SL		surveyls_survey_id		762418		en																																																																																																																																									
		SL		surveyls_language		en		en																																																																																																																																									
		SL		surveyls_title		"Test mandatory"		en																																																																																																																																									
		SL		surveyls_description				en																																																																																																																																									
		SL		surveyls_welcometext				en																																																																																																																																									
		SL		surveyls_endtext				en																																																																																																																																									
		SL		surveyls_url		http://limesurvey.local/master/index.php?r=survey/index&amp;sid=151391&amp;newtest=Y&amp;lang=en		en																																																																																																																																									
		SL		surveyls_urldescription				en																																																																																																																																									
		SL		surveyls_email_invite_subj		"Invitation to participate in a survey"		en																																																																																																																																									
		SL		surveyls_email_invite		"Dear {FIRSTNAME},<br /><br />you have been invited to participate in a survey.<br /><br />The survey is titled:<br />""{SURVEYNAME}""<br /><br />""{SURVEYDESCRIPTION}""<br /><br />To participate, please click on the link below.<br /><br />Sincerely,<br /><br />{ADMINNAME} ({ADMINEMAIL})<br /><br />----------------------------------------------<br />Click here to do the survey:<br />{SURVEYURL}<br /><br />If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:<br />{OPTOUTURL}<br /><br />If you are blacklisted but want to participate in this survey and want to receive invitations please click the following link:<br />{OPTINURL}"		en																																																																																																																																									
		SL		surveyls_email_remind_subj		"Reminder to participate in a survey"		en																																																																																																																																									
		SL		surveyls_email_remind		"Dear {FIRSTNAME},<br /><br />Recently we invited you to participate in a survey.<br /><br />We note that you have not yet completed the survey, and wish to remind you that the survey is still available should you wish to take part.<br /><br />The survey is titled:<br />""{SURVEYNAME}""<br /><br />""{SURVEYDESCRIPTION}""<br /><br />To participate, please click on the link below.<br /><br />Sincerely,<br /><br />{ADMINNAME} ({ADMINEMAIL})<br /><br />----------------------------------------------<br />Click here to do the survey:<br />{SURVEYURL}<br /><br />If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:<br />{OPTOUTURL}"		en																																																																																																																																									
		SL		surveyls_email_register_subj		"Survey registration confirmation"		en																																																																																																																																									
		SL		surveyls_email_register		"Dear {FIRSTNAME},<br /><br />You, or someone using your email address, have registered to participate in an online survey titled {SURVEYNAME}.<br /><br />To complete this survey, click on the following URL:<br /><br />{SURVEYURL}<br /><br />If you have any questions about this survey, or if you did not register to participate and believe this email is in error, please contact {ADMINNAME} at {ADMINEMAIL}."		en																																																																																																																																									
		SL		surveyls_email_confirm_subj		"Confirmation of your participation in our survey"		en																																																																																																																																									
		SL		surveyls_email_confirm		"Dear {FIRSTNAME},<br /><br />this email is to confirm that you have completed the survey titled {SURVEYNAME} and your response has been saved. Thank you for participating.<br /><br />If you have any further questions about this email, please contact {ADMINNAME} on {ADMINEMAIL}.<br /><br />Sincerely,<br /><br />{ADMINNAME}"		en																																																																																																																																									
		SL		surveyls_dateformat		1		en																																																																																																																																									
		SL		email_admin_notification_subj		"Response submission for survey {SURVEYNAME}"		en																																																																																																																																									
		SL		email_admin_notification		"Hello,<br /><br />A new response was submitted for your survey '{SURVEYNAME}'.<br /><br />Click the following link to see the individual response:<br />{VIEWRESPONSEURL}<br /><br />Click the following link to edit the individual response:<br />{EDITRESPONSEURL}<br /><br />View statistics by clicking here:<br />{STATISTICSURL}"		en																																																																																																																																									
		SL		email_admin_responses_subj		"Response submission for survey {SURVEYNAME} with results"		en																																																																																																																																									
		SL		email_admin_responses		"Hello,<br /><br />A new response was submitted for your survey '{SURVEYNAME}'.<br /><br />Click the following link to see the individual response:<br />{VIEWRESPONSEURL}<br /><br />Click the following link to edit the individual response:<br />{EDITRESPONSEURL}<br /><br />View statistics by clicking here:<br />{STATISTICSURL}<br /><br /><br />The following answers were given by the participant:<br />{ANSWERTABLE}"		en																																																																																																																																									
		SL		surveyls_numberformat		0		en																																																																																																																																									
39		G	0	QQQ				en																																																																																																																																									
475		Q	Y	Q01				en			N		0																																																																																																																																				
476		Q	T	Man				en			N		0																																																																																																																																				
477		Q	!	drop				en			N		0																																																																																																																																				
477		A	0	A1		cwxcc		en													0																																																																																																																												
477		A	0	A2		cwxcwxcwx		en													0																																																																																																																												
478		Q	Q	Mult				en			N		0																																																																																																																																				
479		SQ		SQ001		dfgdfgdfg		en			N		0																																																																																																																																				
480		SQ		SQ002		" szbz ez erzerzzerrez"		en			N		0																																																																																																																																				
limesurvey_survey_762418.txt (18,648 bytes)   
guest

guest

2018-11-14 13:36

viewer   ~49654

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=28521

c_schmitz

c_schmitz

2019-04-30 09:13

administrator   ~51688

Fixed in version 3.17.3

Related Changesets

LimeSurvey: master 7a1e5713

2018-11-14 13:36:29

Dominik Vitt

Details Diff
Fixed issue 14249: Tab-separated export of surveys is broken Affected Issues
14249
mod - application/helpers/export_helper.php Diff File

Issue History

Date Modified Username Field Change
2018-11-13 21:36 oleggorfinkel New Issue
2018-11-13 23:34 DenisChenu File Added: limesurvey_survey_193516.lss
2018-11-13 23:34 DenisChenu File Added: limesurvey_survey_193516.tsv
2018-11-13 23:34 DenisChenu Note Added: 49639
2018-11-13 23:34 DenisChenu Assigned To => dominikvitt
2018-11-13 23:34 DenisChenu Status new => assigned
2018-11-13 23:36 DenisChenu Note Edited: 49639 View Revisions
2018-11-13 23:44 DenisChenu File Added: limesurvey_survey_762418.lss
2018-11-13 23:44 DenisChenu File Added: limesurvey_survey_762418.txt
2018-11-13 23:44 DenisChenu Note Added: 49641
2018-11-13 23:44 DenisChenu Note Edited: 49639 View Revisions
2018-11-14 13:36 Changeset attached => LimeSurvey master 7a1e5713
2018-11-14 13:36 guest Note Added: 49654
2018-11-14 13:36 guest Resolution open => fixed
2018-11-14 13:36 dominikvitt Status assigned => resolved
2018-11-14 13:36 dominikvitt Fixed in Version => 3.15.x
2019-04-30 09:13 c_schmitz Note Added: 51688
2019-04-30 09:13 c_schmitz Status resolved => closed